petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionGetValueLayout

Get the PetscLayout associated with the section dofs.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetValueLayout(MPI_Comm comm, PetscSection s, PetscLayout *layout)

Collective on comm

### Input Parameters

| comm | - The MPI_Comm
| s | - The PetscSection

### Output Parameter

layout -The dof layout for the section

Note: This is usually called for the default global section.

### See Also

PetscSectionGetPointLayout(), PetscSectionCreate()

### Level

advanced

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages